> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get associations by provider

GET https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/form_providers/{providerId}/associations

Gets all associations by provider.

Reference: https://developers.docusign.com/docs/rooms-api/reference/forms/formproviders/getformproviderassociations

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `providerId` (string, required) — The provider ID.
- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

### Query parameters

- `count` (integer, optional, default: 100) — The total number of associations to be returned.
- `startPosition` (integer, optional, default: 0) — The starting position on the list.

## Response

### 200

Successfully retrieved Form Associations by provider type.

- `formProviderAssociations` (list of FormProviderAssociationSummary, optional)
- `resultSetSize` (integer, optional) — The number of results returned in this response.
- `startPosition` (integer, optional) — The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is `0`.
- `endPosition` (integer, optional) — The last zero-based index position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. This property is `null` for the last set of search results.
- `priorUri` (string, optional) — The URI for the previous chunk of records based on the search request. This property is `null` for the first set of search results.
- `totalRowCount` (integer, optional) — The number of results in this reponse.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### FormProviderAssociationSummary

- `associationId` (string, optional) — The ID of the association.
- `providerId` (string, optional) — The provider ID.
- `lastUpdateDate` (datetime, optional) — The UTC DateTime of the last update. Example: 2019-07-17T17:45:42.783Z
- `formProviderAssociationGuid` (string, optional) — The GUID of the form provider association.
- `formProviderAssociationName` (string, optional) — Name of the form provider association.

## Examples

**Response**

```json
{
  "formProviderAssociations": [
    {
      "associationId": "string",
      "providerId": "string",
      "lastUpdateDate": "2024-01-15T09:30:00Z",
      "formProviderAssociationGuid": "string",
      "formProviderAssociationName": "string"
    }
  ],
  "resultSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUri": "string",
  "priorUri": "string",
  "totalRowCount": 1
}
```